<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button mbButtonAvailableStyle="PRIMARY"
             mbButtonSize="LARGE" mbButtonText="{{'common.button.summarize' | translate}}"
             mbButtonType="NO_BORDER" *ngIf="objFunction?.create" (click)="summarize()"></mb-button>
  <mb-button (click)="redirectToCreate()" *ngIf="objFunction?.create" mbButtonAvailableStyle="PRIMARY"
             mbButtonSize="LARGE" mbButtonText="{{'common.button.add' | translate}}"
             mbButtonType="NO_BORDER"></mb-button>
  <mb-button (click)="showModalUploadFile(footerTmplUploadFile)" *ngIf="objFunction?.import" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}"
             mbButtonTextColor="#141ED2">
  </mb-button>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'common.button.uploadFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  </section>
</ng-template>
<nz-card class="allowance-dev-card">
  <div class="allowance-dev-card__row" nz-row>
    <div class="allowance-dev-card__left" nz-col nzSpan="6">
      <div style="position: relative">
        <hcm-mfe-employee-data-search-policy [(ngModel)]="employee" [mbCanText]="true" mbLabelText="{{'polManagement.label.employeeCode' | translate}}"
                                             [ngModelOptions]="{standalone: true}" [multiple]="true" [isHideFullName]="true" [functionCode]="functionCode"
                                             (selectedChange)="onChange($event)">
        </hcm-mfe-employee-data-search-policy>
      </div>
    </div>
    <div class="allowance-dev-card__left" nz-col nzSpan="6">
      <div style="position: relative">
        <mb-input-text
          [(ngModel)]="infoEmployee.fullName"
          [defaultInput]="true"
          [mbDisable]="true"
          mbLabelText="{{'polManagement.label.fullName' | translate}}"
          mbPlaceholderText=""
          mbType="default"
        >
        </mb-input-text>
      </div>
    </div>
    <div class="allowance-dev-card__left" nz-col nzSpan="6">
      <div style="position: relative">
        <mb-input-text
          [(ngModel)]="orgName"
          mbType="default"
          [mbMaxLength]="50"
          [defaultInput]="true"
          (mbClick)="showModalOrg($event)"
          mbPlaceholderText=""
          mbLabelText="{{'polManagement.label.org' | translate}}"
          [mbReadOnly]="true"
        >
        </mb-input-text>
        <em
          *ngIf="orgName"
          nz-icon
          class="allowance-dev-card__left__icon"
          (click)="clearOrgInput()"
          nzType="close-circle"
          nzTheme="outline"
        ></em>
      </div>
    </div>
    <div class="allowance-dev-card__left" nz-col nzSpan="6">
      <div style="position: relative">
        <mb-input-text
          [(ngModel)]="infoEmployee.jobName"
          [defaultInput]="true"
          [mbMaxLength]="50"
          [mbDisable]="true"
          mbLabelText="{{'polManagement.label.jobName' | translate}}"
          mbPlaceholderText=""
          mbType="default"
        >
        </mb-input-text>
      </div>
    </div>
  </div>
  <div class="allowance-dev-card__row" nz-row>
    <div class="allowance-dev-card__left" nz-col nzSpan="6">
      <div style="position: relative">
        <mb-input-text
          [(ngModel)]="infoEmployee.positionName"
          [defaultInput]="true"
          [mbMaxLength]="50"
          [mbDisable]="true"
          mbLabelText="{{'polManagement.label.position' | translate}}"
          mbPlaceholderText=""
          mbType="default"
        >
        </mb-input-text>
      </div>
    </div>
    <div class="allowance-dev-card__left" nz-col nzSpan="6">
      <div style="position: relative">
        <mb-select
          [mbDataSelects]="listAllowanceType"
          mbKeyLabel="prAllowanceName"
          mbKeyValue="prAllowanceId"
          mbLabelText="{{'polManagement.label.allowanceType' | translate}}"
          mbPlaceholder=""
          [mbOptionHeightPx]="58"
          [(ngModel)]="params.allowanceTypeId"
        ></mb-select>
      </div>
    </div>
    <div class="allowance-dev-card__left" nz-col nzSpan="6">
      <div style="position: relative">
        <mb-select [mbDataSelects]="listStatus" mbKeyLabel="value" mbKeyValue="key" [(ngModel)]="params.flagStatuses"
                   [mbShowClear]="false"
                   mbLabelText="{{'polManagement.label.recordStatus' | translate}}"></mb-select>
      </div>
    </div>
  </div>
  <div
    nz-col
    nzSpan="24"
    class="allowance-dev-card__left"
    style="display: flex; justify-content: center; margin-top: 1rem"
  >
    <div class="allowance-dev-card__button-search">
      <mb-button
        mbButtonSize="VERY_LARGE"
        mbButtonAvailableStyle="CUSTOM"
        (click)="search()"
        mbButtonText="{{'polManagement.button.search' | translate}}"
      ></mb-button>
    </div>
  </div>
</nz-card>
<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true">
    <mb-table
      (changePageNum)='search($event)'
      (onDblClickNode)='onClickItem($event)'
      [heightTable]="heightTable"
      [tableConfig]='tableConfig' [tableData]='dataTable'></mb-table>
  </mb-table-wrap>
</div>
<ng-template #actionTmpl let-temp="temp">
  <div class="d-flex action">
    <mb-button mbButtonAvailableStyle='CONTENT' *ngIf="objFunction?.edit" (click)="redirectToEdit(temp?.prAllowanceProcessId)">
      <img src="../../../../../assets/images/icon/edit.png" alt='edit' width="18" height="18"
           nz-tooltip nzTooltipTitle="{{'polManagement.label.edit' | translate}}" nzTooltipPlacement="bottom"></mb-button>
    <mb-button (click)="showDeleteConfirm(temp?.prAllowanceProcessId, $event)" *ngIf="objFunction?.delete" mbButtonAvailableStyle='CONTENT'>
      <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'
           nz-tooltip nzTooltipTitle="{{'polManagement.label.delete' | translate}}" nzTooltipPlacement="bottom"></mb-button>
  </div>
</ng-template>
<ng-template #flagStatusTmpl let-isApprove='isApprove'>
  <div class="display-center">
    <nz-tag [nzColor]="renderFlagStatus(isApprove).class">
      {{renderFlagStatus(isApprove).text}}
    </nz-tag>
  </div>
</ng-template>

